FROM openshift/golang-builder:1.10 AS builder
ENV SOURCE_GIT_COMMIT=2f60da39a9d2e5cc00293b8ec7ad559fcd32446a SOURCE_DATE_EPOCH=1550855169 BUILD_VERSION=v4.1.7 SOURCE_GIT_URL=https://github.com/openshift/images SOURCE_GIT_TAG=2f60da3 BUILD_RELEASE=201907171753
WORKDIR /go/src/github.com/openshift/images
COPY . .
RUN CGO_ENABLED=0 go build -installsuffix=cgo -o pod/bin/pod ./pod

FROM openshift/ose-base:v4.1.7.20190717.175347
ENV SOURCE_GIT_COMMIT=2f60da39a9d2e5cc00293b8ec7ad559fcd32446a SOURCE_DATE_EPOCH=1550855169 BUILD_VERSION=v4.1.7 SOURCE_GIT_URL=https://github.com/openshift/images SOURCE_GIT_TAG=2f60da3 BUILD_RELEASE=201907171753
COPY --from=builder /go/src/github.com/openshift/images/pod/bin/pod /usr/bin/
ENTRYPOINT [ "/usr/bin/pod" ]

LABEL \
        io.k8s.description="This is a component of OpenShift Container Platform and holds on to the shared Linux namespaces within a Pod." \
        com.redhat.component="openshift-enterprise-pod-container" \
        vendor="Red Hat" \
        name="openshift/ose-pod" \
        License="GPLv2+" \
        io.k8s.display-name="OpenShift Container Platform Pod Infrastructure" \
        io.openshift.build.source-location="https://github.com/openshift/images" \
        io.openshift.build.commit.url="https://github.com/openshift/images/commit/2f60da39a9d2e5cc00293b8ec7ad559fcd32446a" \
        version="v4.1.7" \
        io.openshift.build.commit.id="2f60da39a9d2e5cc00293b8ec7ad559fcd32446a" \
        release="201907171753" \
        io.openshift.tags="openshift,pod"

